Rated 5 out of 5 stars

Not line 20 Gombszem, it's line 17. :)
Change 3.6 to 4.6 and it works fine with FF 4.01